:host {
	display: grid;
	grid-template-rows: min-content min-content min-content 1fr;
	height: 100%;

	mat-toolbar {
		display: grid;
		grid-template-columns: min-content min-content 1fr min-content;
		gap: 8px;

		span {
			overflow: hidden;
			text-overflow: ellipsis;
		}
	}

	mat-divider {
		margin-left: var(--space);
		margin-right: var(--space);
	}

	mat-list {
		overflow: auto;
	}

	.buttons {
		display: grid;
		grid-auto-flow: column;
		grid-auto-columns: min-content;
		gap: 8px;
	}

	.hidden {
		display: none;
	}
}
